#!/usr/bin/perl
use warnings;
use strict;
use Data::Dumper;

chdir 'examples' or die;
my %extensions = (
    'dirac'=> ['.ls1','.ini','.ls2','.dat','.dirac']
    ,'acdirac' => ['.ls1','.ini','.acs','.ls2','.dirac']
    ,'withoutdirac' => ['.ls1','.ini','.ls2']
    ,'err1' => ['.ls1']
    ,'err2'=> ['.ls1','.ini']
    ,'errs' => [] );

my %files = (
  'dirac' => [
    'a01',
    'a02',
    'a02ruk',
    'a02sinir',
    'a02trap',
    'a02xpo',
    'a04',
    'a05',
    'a06a',
    'a13',
    'a13plot',
    'a13z',
    'a13zcorto',
    'auditorio',
    'maximum',
    'minimum',
    'noorden',
    'optional',
    'porcorr',
    'porcorrhead',
    'tanque',
    'tanque_int',
    'tanquej',
    'wreal'
   ],
  'acdirac'=> [
    'a11',
    'a11chico',
    'a11complex',
    'a11complexplot',
    'a11degree',
    'a11media',
    'a11mod',
    'a11nyquist',
    'a11rdc',
    'a11v',
    'complex'
   ],
  'withoutdirac' => [
    'a03',
    'a07',
    'a08',
    'a09',
    'a10',
    'a10chico',
    'a10chicodet',
    'a10corto'
   ],
  'err1' => [
    'circuit',
    'end', 
    'espacios',
    'model',
    'needsderiJ',
    'runfirst',
    'sinigual',
    'solosens'
   ],
  'err2' => [
    'wcomplex'
   ],
  'errs' => [
    'a06b'
   ]
      );
my @modos =sort keys %files;

#    print Dumper \%files;
  

open EXAMPLES,">Makefile.am";
print EXAMPLES "SUBDIRS = @modos\n\n";
#print EXAMPLES "prepare:\n\tprepare.pl\n";
close EXAMPLES;
open TESTS,">../tests/Makefile.am" or die;
#print "abri ../tests/Makefile.am\n";
print TESTS "TESTS = ";
my @tests;
foreach my $modo (@modos) {
    open MODOS, ">$modo/Makefile.am";
    my @files = @{$files{$modo}};
#    print MODOS "SUBDIRS = @files\n\n";
#    close MODOS;
    $modo eq "errs" and @files = ();
    foreach my $file (@files) {
        print TESTS "${modo}_$file ";        
#        chdir "../examples"; 
        print MODOS 
         "$modo${file}dir = datarootdir/doc/\@PACKAGE\@/examples/$modo/$file\n";
        print MODOS "dist_$modo${file}_DATA = $file/$file.d ";  
        my @exten = @{$extensions{$modo}}; 
        foreach my $ext (@exten) {
            print MODOS "$file/$file$ext "
        };
        print MODOS "\n";
   }; 
    close MODOS;
};

# arreglar dirac en tests, lo pongo para que pase distcheck
# ojo tambien dice que no tiene permiso para crearlos en tests
print TESTS '

all-local:
	for file in $(TESTS) ; do \
	    rm -f $$file ; \
            ln -s ${srcdir}/sceptre_pre_test.pl $$file; \
	done 


dist_bin_SCRIPTS = sceptre_pre_test.pl

clean-local:
	rm -rf dirac2.dat dirac1.dat


',"\n";

close TESTS;
